   filename="/sys/kernel/debug/usb/devices"
   interface="0"
   cntl=( $(grep -B8 -w 'stor.' $filename | grep "Bus" | cut -d ' ' -f3 | cut -d'=' -f2) )
   device=( $(grep -B8 -w 'stor.' $filename | grep "Dev#" | cut -d ' ' -f10) )
   devicetype=( $(grep -B8 -w 'stor.' $filename | grep "Driver" | awk '{print $NF}' |  cut -d'=' -f2) )
   product=( $(grep -B8 -w 'stor.' $filename | grep "Product" | cut -d ' ' -f3- | cut -d '=' -f2- | sed 's/ /_/g' | sed 's/_$//') )
   manufacturer=( $(grep -B8 -w 'stor.' $filename | grep "Manufacturer" |  cut -d ' ' -f3- | cut -d '=' -f2- | sed 's/ /_/g' | sed 's/_$//') )

   count=${#cntl[@]}

   for  (( i=0; i<${count}; i++ ))
     do
      if [ "$devicetype" = "usb-storage" ]; then
         echo -e "$(echo "usb${cntl[$i]}\t${cntl[$i]}-${device[$i]}-$interface\t${devicetype[$i]}\t${product[$i]}\t${manufacturer[$i]}" | sed 's/_/ /g')"
      fi
   done
